class SerializeBooleanParameters < ActiveRecord::Migration
  def up
    # We convert the string 'true' to the boolean true, ditto false.
    # Serialization isn't handled for us here, so we have to do it ourselves.
    Parameter.update_all({:value => true.to_yaml}, {:value => 'true'.to_yaml})
    Parameter.update_all({:value => false.to_yaml}, {:value => 'false'.to_yaml})
  end

  def down
    Parameter.update_all({:value => 'true'.to_yaml}, {:value => true.to_yaml})
    Parameter.update_all({:value => 'false'.to_yaml}, {:value => false.to_yaml})
  end
end
