# Improve rake task argument parser so that arguments could contain commas
# Once https://github.com/jimweirich/rake/pull/214 is merged (and PE rake upgraded) this library can be removed
module Rake
  class Application
    def parse_task_string(string)
      @token_re ||= /((?:[^\\,]|\\.)*)(?:,(.*))?$/
      if string =~ /^([^\[]+)(\[(.*)\])$/
        name = $1
        args = []

        if $2 != '[]'
          match_data = @token_re.match($3)
          while !match_data.nil?
            token, rest = match_data[1].strip, match_data[2]
            args << (token.gsub!(/\\(.)/, '\1') || token)
            break if rest.nil?
            match_data = @token_re.match(rest)
          end
        end
      else
        name = string
        args = []
      end
      [name, args]
    end
  end
end

